- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
tbb::flow::interface8::proxy_dependency_sender< T, Factory > Class Template Reference
Inheritance diagram for tbb::flow::interface8::proxy_dependency_sender< T, Factory >:

## Public Types
typedef receiver < dependency_msg< T, Factory > > | successor_type
Public Types inherited from tbb::flow::interface8::sender< dependency_msg< T, Factory > >
typedef receiver < dependency_msg< T, Factory > > | successor_type
| The successor type for this sender.
typedef proxy_dependency_sender< T, Factory > | proxy

## Public Member Functions
| proxy_dependency_sender (sender< T > &s)
bool | register_successor (successor_type &r)
| Add a new successor to this node.
bool | remove_successor (successor_type &r)
| Removes a successor from this node.
bool | try_get (dependency_msg< T, Factory > &d)
| Request an item from the sender.
bool | try_reserve (dependency_msg< T, Factory > &d)
| Reserves an item in the sender.
bool | try_release ()
| Releases the reserved item.
bool | try_consume ()
| Consumes the reserved item.
Public Member Functions inherited from tbb::flow::interface8::sender< dependency_msg< T, Factory > >
ordinary_sender & | ordinary_sender ()
bool | has_host_successors ()

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2016 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.